vn.py官网
开源量化社区
Member
avatar
加入于:
帖子: 52
声望: 1

更新2.1.9.1后打开VN TRADER PRO报错,重新安装也是一样
Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\peewee.py", line 3129, in execute_sql
cursor.execute(sql, params or ())
sqlite3.OperationalError: attempt to write a readonly database

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\vnstudio\lib\site-packages\vnstation\cli.py", line 90, in run_trader
module = importlib.import_module(d["module"])
File "C:\vnstudio\lib\importlibinit.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
File "<frozen importlib._bootstrap>", line 983, in _find_and_load
File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 728, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "C:\vnstudio\lib\site-packages\vnpy\app\cta_strategy\init.py", line 9, in <module>
from .engine import CtaEngine
File "C:\vnstudio\lib\site-packages\vnpy\app\cta_strategy\engine.py", line 42, in <module>
from vnpy.trader.database import database_manager
File "C:\vnstudio\lib\site-packages\vnpy\trader\database.py", line 118, in <module>
database_manager: BaseDatabase = import_module(module_name).database_manager
File "C:\vnstudio\lib\importlib\init.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "C:\vnstudio\lib\site-packages\vnpy\database\sqlite\init.py", line 1, in <module>
from .sqlite_database import database_manager
File "C:\vnstudio\lib\site-packages\vnpy\database\sqlite\sqlite_database.py", line 371, in <module>
database_manager = SqliteDatabase()
File "C:\vnstudio\lib\site-packages\vnpy\database\sqlite\sqlite_database.py", line 130, in init
self.db.create_tables([DbBarData, DbTickData, DbBarOverview])
File "C:\vnstudio\lib\site-packages\peewee.py", line 3317, in create_tables
model.create_table(options)
File "C:\vnstudio\lib\site-packages\peewee.py", line 6649, in create_table
cls._schema.create_all(safe, options)
File "C:\vnstudio\lib\site-packages\peewee.py", line 5761, in create_all
self.create_table(safe, table_options)
File "C:\vnstudio\lib\site-packages\peewee.py", line 5616, in create_table
self.database.execute(self._create_table(safe=safe, options))
File "C:\vnstudio\lib\site-packages\peewee.py", line 3142, in execute
return self.execute_sql(sql, params, commit=commit)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3136, in execute_sql
self.commit()
File "C:\vnstudio\lib\site-packages\peewee.py", line 2902, in exit

reraise(new_type, new_type(exc_value, *exc_args), traceback)
File "C:\vnstudio\lib\site-packages\peewee.py", line 185, in reraise
raise value.with_traceback(tb)
File "C:\vnstudio\lib\site-packages\peewee.py", line 3129, in execute_sql
cursor.execute(sql, params or ())
peewee.OperationalError: attempt to write a readonly database

Member
avatar
加入于:
帖子: 3115
声望: 181

应该是sqlite3所在的文件夹没有读写权限

Member
avatar
加入于:
帖子: 52
声望: 1

具体是哪个目录呢?我去手动改一下

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号